[PATCH 2/3] Add a kickstart test for keyboard settings.

Samantha N. Bueno sbueno+anaconda at redhat.com
Thu May 28 17:24:33 UTC 2015


This is just a simple test which verifies that specifying a certain
keyboard in your ks file actually produces an installed system with that
keyboard set as the default.
---
 tests/kickstart_tests/keyboard.ks | 35 ++++++++++++++++++++++++++++
 tests/kickstart_tests/keyboard.sh | 48 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)
 create mode 100644 tests/kickstart_tests/keyboard.ks
 create mode 100755 tests/kickstart_tests/keyboard.sh

diff --git a/tests/kickstart_tests/keyboard.ks b/tests/kickstart_tests/keyboard.ks
new file mode 100644
index 0000000..2922eb8
--- /dev/null
+++ b/tests/kickstart_tests/keyboard.ks
@@ -0,0 +1,35 @@
+#version=DEVEL
+url --url="http://dl.fedoraproject.org/pub/fedora/linux/development/$releasever/$basearch/os/"
+install
+network --bootproto=dhcp
+
+bootloader --timeout=1
+zerombr
+clearpart --all --initlabel
+part --fstype=ext4 --size=4400 /
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+
+keyboard --vckeymap cz --xlayouts=cz
+lang cs_CZ.UTF-8
+timezone America/New_York --utc
+rootpw testcase
+shutdown
+
+%packages
+ at core
+%end
+
+%post
+INSTKBD=cz
+KBD=`grep KEYMAP /etc/vconsole.conf | awk -F\" '{ print $2 }'`
+echo "$KBD"
+
+if [[ "$KBD" != "$INSTKBD" ]]; then
+    echo '*** specified keyboard was not set' >> /root/RESULT
+fi
+
+if [[ ! -e /root/RESULT ]]; then
+    echo SUCCESS > /root/RESULT
+fi
+%end
diff --git a/tests/kickstart_tests/keyboard.sh b/tests/kickstart_tests/keyboard.sh
new file mode 100755
index 0000000..549d07a
--- /dev/null
+++ b/tests/kickstart_tests/keyboard.sh
@@ -0,0 +1,48 @@
+#
+# Copyright (C) 2015  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
+
+kernel_args() {
+    echo vnc
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
+
-- 
1.9.3



More information about the anaconda-patches mailing list